Name:		ipclassify
Version: 1.1	
Release:	2%{?dist}
Summary:	A user space ip blocking classifier. Uses libnetfilter_queue capabilities.

Group:	Applications/System	
License:	GPL
URL:		https://sourceforge.net/projects/ipclassify/
Source0:	ipclassify-1.1.tar
# BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libnetfilter_queue-devel
BuildRequires: flex
BuildRequires: bison
Requires:	libnfnetlink
Requires: libnetfilter_queue

%description
ipclassify is a linux user space application that blocks/marks connections 
from/to hosts based on lists specified in a configuration file. Currently 
the block lists are in the format and obtained from iblocklist.com.


%prep
%setup -q


%build
make 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%postun
/bin/systemctl daemon-reload

%post
/bin/systemctl daemon-reload

%preun
service ipclassify stop

%files
%defattr(-,root,root,-)
%doc ChangeLog README ipclassify.spec gpl-3.0.txt TODO ipclassify.sysVinit
%dir /var/spool/ipclassify
%config /etc/ipclassify.conf
%config /etc/sysconfig/ipclassify
%verify(mode group) /etc/ipclassify.conf
/usr/bin/ipclassify
/lib/systemd/system/ipclassify.service
/etc/logrotate.d/ipclassify
/etc/logwatch/scripts/services/ipclassify
/etc/logwatch/conf/logfiles/ipclassify.conf
/etc/logwatch/conf/services/ipclassify.conf
/usr/share/man/man8/ipclassify.8.gz


%changelog

